Export Time Series Data

Export Time Series Data
Exports time-series metrics data

Requests an export of time-series metrics data for a given resource_type and resource_ids.

Request
URI
POST
https://{api_host}/metrics/data/export
COPY
Request Body

Metrics data export request body.

MetricsTimeSeriesExportRequest of type(s) application/json
Required  
This request body class requires all of the following: MetricsExportRequestBase , InlineMetricsTimeSeriesExportRequest1
{
    "keys": [
        "string"
    ],
    "format": "string",
    "formatting": {
        "columns": [
            {
                "field": "string",
                "header": "string"
            }
        ]
    },
    "resource_type": "string",
    "resource_ids": [
        "string"
    ],
    "granularity": "string",
    "start_time": 0,
    "end_time": 0,
    "related_metrics_request": {
        "conditions": [
            {
                "related_resource_type": "string",
                "related_resource_ids": [
                    "string"
                ],
                "metrics_condition_conjunction": "string"
            }
        ],
        "metrics_condition_conjunction": "string"
    },
    "aggregate_resource_ids": false,
    "aggregate_operation": "string",
    "object_ids": [
        "string"
    ],
    "node_ids": [
        "string"
    ],
    "site_ids": [
        "string"
    ],
    "filter": {
        "filter_components": [
            {
                "filter_field": "string",
                "filter_operation": "string",
                "value": "string",
                "metrics_key": "string"
            }
        ],
        "metrics_condition_conjunction": "string"
    },
    "aggregation": {
        "aggregation_dimension": "string",
        "aggregation_function": "string"
    },
    "groupby": "string",
    "include_partial_intervals": false,
    "include_deleted_resources": false
}
Authentication
This operation uses the following authentication methods.
Responses
202

Accepted

Returns AsyncApiResponse of type(s) application/json
{
    "id": "b8f47985-22ed-3193-bca8-11c7b025cbce",
    "status_url": "/operation/status"
}
string
id
Optional

UUID identifier of the response.

string
status_url
Optional

The URL to check the status of the operation.


400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Error Response

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"keys":"{}","resource_type":"string","resource_ids":["string"]}' https://{api_host}/metrics/data/export